# EScrollFrame

## Name

EScrollFrame --

## Synopsis

                EScrollFrame;
    GtkWidget*  e_scroll_frame_new              (GtkAdjustment *hadj,
                                                 GtkAdjustment *vadj);
    void        e_scroll_frame_set_hadjustment  (EScrollFrame *sf,
                                                 GtkAdjustment *adj);
    void        e_scroll_frame_set_vadjustment  (EScrollFrame *sf,
                                                 GtkAdjustment *adj);
    GtkAdjustment* e_scroll_frame_get_hadjustment
                                                (EScrollFrame *sf);
    GtkAdjustment* e_scroll_frame_get_vadjustment
                                                (EScrollFrame *sf);
    void        e_scroll_frame_set_policy       (EScrollFrame *sf,
                                                 GtkPolicyType hsb_policy,
                                                 GtkPolicyType vsb_policy);
    void        e_scroll_frame_set_placement    (EScrollFrame *sf,
                                                 GtkCornerType frame_placement);
    void        e_scroll_frame_set_shadow_type  (EScrollFrame *sf,
                                                 GtkShadowType shadow_type);
    void        e_scroll_frame_set_scrollbar_spacing
                                                (EScrollFrame *sf,
                                                 guint spacing);
    void        e_scroll_frame_add_with_viewport
                                                (EScrollFrame *sf,
                                                 GtkWidget *child);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkBin
                         +----EScrollFrame
                               +----ETableScrolled

## Properties

      "hadjustment"          GtkAdjustment         : Read / Write / Construct
      "vadjustment"          GtkAdjustment         : Read / Write / Construct
      "hscrollbar-policy"    GtkPolicyType         : Read / Write
      "vscrollbar-policy"    GtkPolicyType         : Read / Write
      "frame-placement"      GtkCornerType         : Read / Write
      "shadow-type"          GtkShadowType         : Read / Write
      "scrollbar-spacing"    guint                 : Read / Write

## Description

## Details

### EScrollFrame

    typedef struct _EScrollFrame EScrollFrame;

### e_scroll_frame_new ()

    GtkWidget*  e_scroll_frame_new              (GtkAdjustment *hadj,
                                                 GtkAdjustment *vadj);

`hadj` : |
`vadj` : |
Returns : |

### e_scroll_frame_set_hadjustment ()

    void        e_scroll_frame_set_hadjustment  (EScrollFrame *sf,
                                                 GtkAdjustment *adj);

`sf` : |
`adj` : |

### e_scroll_frame_set_vadjustment ()

    void        e_scroll_frame_set_vadjustment  (EScrollFrame *sf,
                                                 GtkAdjustment *adj);

`sf` : |
`adj` : |

### e_scroll_frame_get_hadjustment ()

    GtkAdjustment* e_scroll_frame_get_hadjustment
                                                (EScrollFrame *sf);

`sf` : |
Returns : |

### e_scroll_frame_get_vadjustment ()

    GtkAdjustment* e_scroll_frame_get_vadjustment
                                                (EScrollFrame *sf);

`sf` : |
Returns : |

### e_scroll_frame_set_policy ()

    void        e_scroll_frame_set_policy       (EScrollFrame *sf,
                                                 GtkPolicyType hsb_policy,
                                                 GtkPolicyType vsb_policy);

`sf` : |
`hsb_policy` : |
`vsb_policy` : |

### e_scroll_frame_set_placement ()

    void        e_scroll_frame_set_placement    (EScrollFrame *sf,
                                                 GtkCornerType frame_placement);

`sf` : |
`frame_placement` : |

### e_scroll_frame_set_shadow_type ()

    void        e_scroll_frame_set_shadow_type  (EScrollFrame *sf,
                                                 GtkShadowType shadow_type);

`sf` : |
`shadow_type` : |

### e_scroll_frame_set_scrollbar_spacing ()

    void        e_scroll_frame_set_scrollbar_spacing
                                                (EScrollFrame *sf,
                                                 guint spacing);

`sf` : |
`spacing` : |

### e_scroll_frame_add_with_viewport ()

    void        e_scroll_frame_add_with_viewport
                                                (EScrollFrame *sf,
                                                 GtkWidget *child);

`sf` : |
`child` : |

## Properties

### The "`hadjustment`" property

      "hadjustment"          GtkAdjustment         : Read / Write / Construct

### The "`vadjustment`" property

      "vadjustment"          GtkAdjustment         : Read / Write / Construct

### The "`hscrollbar-policy`" property

      "hscrollbar-policy"    GtkPolicyType         : Read / Write

### The "`vscrollbar-policy`" property

      "vscrollbar-policy"    GtkPolicyType         : Read / Write

### The "`frame-placement`" property

      "frame-placement"      GtkCornerType         : Read / Write

### The "`shadow-type`" property

      "shadow-type"          GtkShadowType         : Read / Write

### The "`scrollbar-spacing`" property

      "scrollbar-spacing"    guint                 : Read / Write